1. Forms
Commusoft developer
  • Introduction
    • Introduction
    • Key concepts and relationships
    • Authentication
    • Rate-limits
    • Requests and responses
    • Core concepts and patterns
    • Support and technical support
  • CRM
    • Properties
      • List customer types
      • List properties
      • Properties
      • Customers
      • Companies
      • Work addresses
      • Customers
      • Companies
      • Work addresses
      • Properties
    • Contacts
      • List property contacts
      • Property contacts
      • Property contacts
      • Property contacts
    • Assets
      • Understanding assets
      • List asset groups
      • List asset types
      • Asset structure
      • Assets dynamic fields
      • List assets
      • Assets
      • Assets
      • Assets
      • Assets
    • Scheduled activities
      • List scheduled activities
      • Scheduled activities
      • Scheduled activities
      • Complete Scheduled Activity
      • Scheduled activities
    • Search
      GET
  • Sales
    • Opportunities
      • List opportunity pipelines
      • List opportunity stages
      • List opportunities
      • Opportunities
      • Opportunities
      • Opportunities
      • Opportunities
    • Actions
      • Change opportunity stage
  • Jobs
    • Jobs
      • List job description templates
      • List jobs
      • Jobs
      • Jobs
      • Jobs
      • Jobs
    • Forms
      • List forms
        GET
    • Actions
      • Change job stage
      • Put on hold
      • Remove on hold
      • Mark as complete
      • Mark as uncompleted
      • Mark as free of charge
      • Mark as aborted
  • Users & Vehicles
    • Users
      • List users
  • Settings
    • List titles
      GET
    • List advertising types
      GET
    • List telephone types
      GET
    • List business units
      GET
    • List user groups
      GET
    • List provinces
      GET
  • Webhooks
    • Webhooks
    • Example PHP script
  1. Forms

List forms

GET
/forms
The forms end point will return a list of forms that have been completed against jobs. This only returns forms built inside the Custom forms setting. Legacy forms will not be returned in this API.

Request

Query Params

Responses

🟢200Success
application/json
Headers

Bodyapplication/json

🟠429429 Too many requests
🟠401401 Unauthorised
🟠403403 Forbidden
🟠404404 Not found
🟠409409 Conflict
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff '/forms?createdByType=undefined&createdByID=undefined&createdOnDateTime[gte]=undefined&lastUpdatedOnDateTime[gte]=undefined&formCategory=undefined&formNameID=undefined&propertyID=undefined&jobID=undefined'
Response Response Example
200 - Example 1
{
    "meta": {
        "totalRecords": "string",
        "serverTime": "2019-08-24T14:15:22.123Z"
    },
    "pagination": {
        "hasMore": "string",
        "nextCursor": "string",
        "prevCursor": "string"
    },
    "data": [
        {
            "id": 0,
            "createdOnDateTime": "string",
            "lastUpdatedOnDateTime": "string",
            "createdByType": "string",
            "createdByID": "string",
            "createdByUser": "string",
            "propertyID": "string",
            "jobDetails": {
                "jobID": 0,
                "jobDescription": "string",
                "jobAddressLine1": "string",
                "jobAddressLine2": "string",
                "jobAddressLine3": "string",
                "jobTown": "string",
                "jobProvince": "string",
                "jobPostcode": "string"
            },
            "formName": "string",
            "formPDFURL": "string",
            "links": {
                "property": "string",
                "job": "string"
            }
        }
    ]
}
Modified at 2026-09-16 07:43:25
Previous
Jobs
Next
Change job stage
Built with